@import "/src/styles/mixins/";

.root {
  padding: 48px 16px;
  height: 100vh;
  background: linear-gradient(
    to bottom right,
    var(--white) 0%,
    var(--white) 50%,
    var(--orange-5) 50%,
    var(--orange-5) 100%
  );
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;

  @include desktop {
    flex-direction: row;
  }
}

.content {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 50px;

  @include desktop {
    align-items: flex-start;
    padding-left: 64px;
  }
}

.image {
  width: 196px;
  height: auto;

  @include tablet {
    width: 320px;
    height: auto;
  }

  @include desktop {
    width: 428px;
    height: auto;
    padding-left: 80px;
  }

  @include large {
    width: 624px;
    height: auto;
  }
}

.title {
  font-size: 32px;
  font-weight: 600;
  text-align: center;
  padding: 8px 10px 100px;
  width: 300px;

  @include tablet {
    font-size: 50px;
    width: 450px;
  }
  @include desktop {
    font-size: 52px;
    text-align: left;
    padding: 8px 0 64px 0;
  }
  @include large {
    font-size: 56px;
    width: 500px;
  }
  @include xlarge {
    font-size: 6rem;
  }
}

.score {
  opacity: 0.5;
  font-weight: 600;
  font-size: 18px;

  @include tablet {
    font-size: 22px;
  }
  @include desktop {
    font-size: 28px;
  }
  @include large {
    font-size: 32px;
  }
  @include xlarge {
    font-size: 4rem;
  }
}

.button {
  width: 288px;
  height: 48px;
  background-color: var(--orange-100);
  border: none;
  border-radius: 12px;
  color: var(--white);
  font-size: 14px;
  font-weight: 600;
  font-family: "Inter", sans-serif;

  &:hover {
    background-color: var(--orange-80);
  }
  &:active {
    background-color: var(--orange-120);
  }
  @include desktop {
    width: 296px;
    height: 64px;
    font-size: 20px;
  }
  @include xlarge {
    width: 100%;
    height: 100px;
    font-size: 3rem;
  }
}
